Bug 209988 - Group selection broken when downloading from Konqueror
Summary: Group selection broken when downloading from Konqueror
Status: RESOLVED FIXED
Alias: None
Product: kget
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Unspecified
: NOR normal (vote)
Target Milestone: ---
Assignee: KGet authors
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-09 14:56 UTC by Michael Reiher
Modified: 2010-11-03 22:55 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Reiher 2009-10-09 14:56:30 UTC
Version:            (using KDE 4.3.1)
Installed from:    Ubuntu Packages

Files downloaded from within Konqueror always end up in the "My Downloads" group (in the KGet mein window). Also nepomuk tags configured for the group aren't assigned.

So for instance I created a group for ISO files:
Default folder: is "/data/iso"
Regexp is: "*.iso"
Tag is: "ISO"

When I now try to download e.g.:

http://www.ubuntu.com/getubuntu/downloading?release=kubuntu-newest&arch=i386&mirror=http://ftp5.gwdg.de/pub/linux/debian/ubuntu/iso/&debug=&download-button=&flavor=kubuntu

I get asked bei Konqueror what to do. 
I select "Save As". 
I get a "Save As" file dialog from KGet (Shouldn't I get this little download dialog here instead of a file dialog?). Interestingly the prompted path is correct.
I confirm the file dialog and the download starts in "My Downloads" group. Tag is not applied.
Comment 1 Dario Massarin 2009-10-09 15:56:18 UTC
SVN commit 1033110 by dario:

Properly put transfers in the correct group
BUG: 209988


 M  +10 -6     kget.cpp  
 M  +2 -2      kget.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1033110
Comment 2 Michael Reiher 2009-10-11 14:19:50 UTC
Cool, thanks!

Could you please backport this one to 4.3, too? :)
Comment 3 Michael Reiher 2010-10-14 14:08:32 UTC
So I finally upgraded to KDE 4.5.1. However, this still does not work. Everything ends up in group My Downloads...
Comment 4 Matthias Fuchs 2010-11-02 15:06:37 UTC
Hi I tried to reproduce your issue with 4.5. branch but did not manage it. I have to mention though that your link did not work for me, I simply tried downloading Ubuntu from ubuntu.com.

Btw. is it "/data/iso" or "/data/iso/"? If it is the first, please try if the second would work for you.

On the dialog-thing -- save as vs. the other -- I will look into it.
Comment 5 Matthias Fuchs 2010-11-02 23:45:00 UTC
Ah I guess I found the bug.
Does it work if KGet is started manually before doing any downloads in Konqueror?
Comment 6 Michael Reiher 2010-11-03 12:30:30 UTC
I'm not at home atm. so I can't check, but I will report back in a few days.

What I can say is, that my comment #3 was not quite correct. I works now, kind of. But sometimes downloads with own categories still end up in My Downloads. I'll check your suggestion.
Comment 7 Matthias Fuchs 2010-11-03 22:51:09 UTC
SVN commit 1192738 by mfuchs:

Do not delay the initilization of MainWindow, as then not all download groups are loaded if KGet is started with some urls to download, e.g. if KGet is not running and started from Konqueror.
BUG:209988

 M  +1 -0      main.cpp  
 M  +1 -4      mainwindow.cpp  
 M  +3 -1      mainwindow.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1192738
Comment 8 Matthias Fuchs 2010-11-03 22:53:42 UTC
SVN commit 1192740 by mfuchs:

Backport r1192738
Do not delay the initilization of MainWindow, as then not all download groups are loaded if KGet is started with some urls to download, e.g. if KGet is not running and started from Konqueror.
CCBUG:209988

 M  +1 -0      main.cpp  
 M  +1 -4      mainwindow.cpp  
 M  +3 -1      mainwindow.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1192740
Comment 9 Matthias Fuchs 2010-11-03 22:55:07 UTC
Hi, if what I described in comment #5 does not work around it for you, or if it does not work for you in KDE 4.6 or KDE 4.5.4 then please reopen this bug report.